@import url('https://fonts.googleapis.com/css2?family=Comic+Neue:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

*::after,
*::before {
  box-sizing: inherit;
}

body {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  font-family: 'Comic Neue', cursive;
  font-size: 14px;
  line-height: 1.5;
  width: 100vw;
  height: 100vh;
  overflow-x: hidden;
}

header {
  width: 90%;
}

main {
  width: 60%;
}

h2 {
  font-size: 2rem;
  margin-top: 20px;
  text-align: center;
}

button {
  display: flex;
  font-weight: bold;
  letter-spacing: 1px;
  padding: 0.4rem;
  border-radius: 6px;
  margin-left: auto;
  border: 0.125rem #333 solid;
  box-shadow: 2px 2px 2px rgba(0, 0, 0, 1);
}

input {
  padding: 0.3rem;
  margin-bottom: 10px;
  width: 100%;
  border: 2px #333 solid;
  border-radius: 6px;
  outline: none;
}

input:focus,
input:active {
  border: 3px #333 solid;
}

.listSection {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-block: 20px;
  height: 100%;
}

tr:nth-child(even) {
  background-color: lightgray;
}

.all-books {
  width: 80%;
  border: 2px #333 solid;
  border-radius: 6px;
}

.book-container {
  display: flex;
  justify-content: space-between;
  padding: 0.5rem;
}

.form {
  max-width: 40%;
  box-sizing: border-box;
  margin: 0 auto;
}

.topnav {
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: space-between;
  margin: 16px auto 0 auto;
  border: solid 2px black;
  border-radius: 6px;
  padding: 1px;
}

div#date {
  padding: 10px;
  width: 90%;
  margin: 0 auto;
  display: flex;
  justify-content: flex-end;
}

.menu {
  font-weight: bold;
  font-size: 1.2rem;
  width: 20%;
  display: flex;
  flex: 0.5;
  flex-wrap: nowrap;
  justify-content: space-evenly;
  align-items: center;
  padding: 0.5rem;
  list-style-type: none;
  margin: 0;
  cursor: pointer;
}

hr {
  border: 0.1rem solid #333;
  height: 20px;
  margin: 0 5px;
}

.logo {
  margin-left: 16px;
  text-decoration: none;
  color: black;
  margin-block: 0.2em;
}

.contactSection {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 10px;
  font-weight: bold;
}

.footer {
  width: 90%;
  border: solid 2px black;
  border-radius: 5px;
  margin: 0 auto;
  padding: 2px 0 2px 6px;
  font-weight: bold;
  font-size: 1.2rem;
  display: flex;
  align-self: flex-end;
  margin-bottom: 10px;
}

.listSection.hidden {
  display: none;
}

.form.hidden {
  display: none;
}

.contactSection.hidden {
  display: none;
}
